=== tools/clang/examples/Makefile ===
##===- examples/Makefile -----------------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##

CLANG_LEVEL := ..

PARALLEL_DIRS := analyzer-plugin clang-interpreter PrintFunctionNames

include $(CLANG_LEVEL)/Makefile
