=== tools/clang/lib/FrontendTool/Makefile ===
##===- clang/lib/FrontendTool/Makefile ---------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##

CLANG_LEVEL := ../..
LIBRARYNAME := clangFrontendTool

include $(CLANG_LEVEL)/Makefile
