=== debian/changelog ===
clang (3.2~rc3-1~exp3ubuntu2) raring; urgency=low

  * Build-depend on python.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Dec 2012 15:09:28 +0100

clang (3.2~rc3-1~exp3ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Default to softfp on armel.
    - Set vendor to Ubuntu, having slightly different defaults than Debian.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2012 14:18:29 +0100

clang (3.2~rc3-1~exp3) experimental; urgency=low

  * clang dependency on llvm should be improved (Closes: #695477)
  * Remove /usr/bin/c[89]9 alternatives on purge (Closes: #695590)
  * Build only arch dependent packages was failing
  * Fix a build error under HURD (PATH_MAX ...)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 10 Dec 2012 14:38:23 +0100

clang (3.2~rc3-1~exp2) experimental; urgency=low

  * Remove the hardcoded usage of CC/CXX etc
    It was using the layout $(DEB_HOST_GNU_TYPE)-gcc-$(GCC_VERSION)
    Which was failing on more recent version of gcc and on some archs

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 08 Dec 2012 17:56:07 +0100

clang (3.2~rc3-1~exp1ubuntu1) raring; urgency=low

  * Default to softfp on armel.
  * Set vendor to Ubuntu, having slightly different defaults than Debian.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Dec 2012 15:08:01 +0100

clang (3.2~rc3-1~exp1) experimental; urgency=low

  * New testing version
  * Update of the repack script

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Dec 2012 14:09:07 +0100

clang (3.2~rc2-1~exp1) experimental; urgency=low

  * New testing version

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Dec 2012 11:37:59 +0100

clang (3.2~rc1-1~exp1) experimental; urgency=low

  * New testing version
    - Fix when a bug when class with multiple copy constructors is in a union
      (Closes: #691989)
    - Improved support of C++ 11 (Closes: #666539)
  * Use gcc 4.7 to build clang (instead of 4.6) (Closes: #685013) (LP: #1081905)
  * Make asan (address sanitizer) work (Closes: #674155)
  * Make --coverage work (LP: #954709)
  * Also register clang for /usr/bin/c89 & /usr/bin/c99 (Closes: #688811)
  * Take in account the new gcc C++ paths (Closes: #693240)
  * Explicit dependency on libstdc++6-4.7-dev, libgcc-4.7-dev, libobjc-4.7-dev
    from clang. Thanks to new changes of gcc (4.7.2-10)
  * Enable parallel build when available

  [ Peter Michael Green ]
  * 26-set-correct-float-abi.diff: Fix default float abis for armel and armhf
  * 24-path-multiarch.diff: Fix paths for armhf
    (Closes: #693208)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 17 Nov 2012 15:31:19 +0100

clang (3.1+rt-1~exp2) experimental; urgency=low

  * Limit usage of compiler-rt to amd64 and i386
  * Remove the -j4

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Aug 2012 17:00:16 +0200

clang (3.1+rt-1~exp1) experimental; urgency=low

  * Introduce compiler-rt (as a new binary).
    Thanks to Andrej Belym for the help.
  * Homepage updated
  * Improve the clean tartget

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 04 Aug 2012 15:15:16 +0200

clang (3.1-9~exp2) experimental; urgency=low

  * Factoring of the build process by switching to dh
    (Change size from 14483 chars to 3008)
  * Increase minimal version of debhelper to 7.0.50~

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 28 Jul 2012 01:29:26 +0200

clang (3.1-9~exp1) experimental; urgency=low

  * Introduce a real clang-X.Y package
  * clang is now providing objc-compiler and c++-compiler
  * Update the description of the packages

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 Jul 2012 16:30:39 -0600
